<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0
 */

$corredo_template_args = get_query_var( 'corredo_template_args' );
if ( is_array( $corredo_template_args ) ) {
	$corredo_columns    = empty( $corredo_template_args['columns'] ) ? 2 : max( 1, $corredo_template_args['columns'] );
	$corredo_blog_style = array( $corredo_template_args['type'], $corredo_columns );
} else {
	$corredo_blog_style = explode( '_', corredo_get_theme_option( 'blog_style' ) );
	$corredo_columns    = empty( $corredo_blog_style[1] ) ? 2 : max( 1, $corredo_blog_style[1] );
}
$corredo_post_format = get_post_format();
$corredo_post_format = empty( $corredo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $corredo_post_format );
$corredo_animation   = corredo_get_theme_option( 'blog_animation' );

?><article id="post-<?php the_ID(); ?>" 
									<?php
									post_class(
										'post_item'
										. ' post_layout_portfolio'
										. ' post_layout_portfolio_' . esc_attr( $corredo_columns )
										. ' post_format_' . esc_attr( $corredo_post_format )
										. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
										. ( ! empty( $corredo_template_args['slider'] ) ? ' slider-slide swiper-slide' : '' )
									);
									echo ( ! corredo_is_off( $corredo_animation ) && empty( $corredo_template_args['slider'] ) ? ' data-animation="' . esc_attr( corredo_get_animation_classes( $corredo_animation ) ) . '"' : '' );
									?>
	>
<?php

	// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

	$corredo_image_hover = ! empty( $corredo_template_args['hover'] ) && ! corredo_is_inherit( $corredo_template_args['hover'] )
								? $corredo_template_args['hover']
								: corredo_get_theme_option( 'image_hover' );
	// Featured image
	corredo_show_post_featured(
		array(
			'singular'      => false,
			'hover'         => $corredo_image_hover,
			'no_links'      => ! empty( $corredo_template_args['no_links'] ),
			'thumb_size'    => corredo_get_thumb_size(
				strpos( corredo_get_theme_option( 'body_style' ), 'full' ) !== false || $corredo_columns < 3
								? 'masonry-big'
				: 'masonry'
			),
			'show_no_image' => true,
			'class'         => 'icon' == $corredo_image_hover ? 'hover_with_info' : '',
			'post_info'     => 'icon' == $corredo_image_hover ? '<div class="post_info">' . esc_html( get_the_title() ) . '</div>' : '',
		)
	);
	?>
</article><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!