<?php
/**
 * The template for homepage posts with "Chess" style
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0
 */

corredo_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	corredo_blog_archive_start();

	$corredo_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$corredo_sticky_out = corredo_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $corredo_stickies ) && count( $corredo_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $corredo_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $corredo_sticky_out ) {
		?>
		<div class="chess_wrap posts_container">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $corredo_sticky_out && ! is_sticky() ) {
			$corredo_sticky_out = false;
			?>
			</div><div class="chess_wrap posts_container">
			<?php
		}
		$corredo_part = $corredo_sticky_out && is_sticky() ? 'sticky' : 'chess';
		get_template_part( apply_filters( 'corredo_filter_get_template_part', 'content', $corredo_part ), $corredo_part );
	}

	?>
	</div>
	<?php

	corredo_show_pagination();

	corredo_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'corredo_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'corredo_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
