<?php
/* Instagram Feed support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'corredo_instagram_feed_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'corredo_instagram_feed_theme_setup9', 9 );
	function corredo_instagram_feed_theme_setup9() {

        add_filter( 'corredo_filter_merge_styles', 'corredo_instagram_merge_styles' );
		add_filter( 'corredo_filter_merge_styles_responsive', 'corredo_instagram_merge_styles_responsive' );

		if ( is_admin() ) {
			add_filter( 'corredo_filter_tgmpa_required_plugins', 'corredo_instagram_feed_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'corredo_instagram_feed_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('corredo_filter_tgmpa_required_plugins',	'corredo_instagram_feed_tgmpa_required_plugins');
	function corredo_instagram_feed_tgmpa_required_plugins( $list = array() ) {
		if ( corredo_storage_isset( 'required_plugins', 'instagram-feed' ) ) {
			$list[] = array(
				'name'     => corredo_storage_get_array( 'required_plugins', 'instagram-feed' ),
				'slug'     => 'instagram-feed',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if Instagram Feed installed and activated
if ( ! function_exists( 'corredo_exists_instagram_feed' ) ) {
	function corredo_exists_instagram_feed() {
		return defined( 'SBIVER' );
	}
}

// Merge custom styles
if ( ! function_exists( 'corredo_instagram_merge_styles' ) ) {
    //Handler of the add_filter('corredo_filter_merge_styles', 'corredo_instagram_merge_styles');
    function corredo_instagram_merge_styles( $list ) {
        if ( corredo_exists_instagram_feed() ) {
            $list[] = 'plugins/instagram-feed/_instagram.scss';
        }
        return $list;
    }
}

// Merge responsive styles
if ( ! function_exists( 'corredo_instagram_merge_styles_responsive' ) ) {
	//Handler of the add_filter('corredo_filter_merge_styles_responsive', 'corredo_instagram_merge_styles_responsive');
	function corredo_instagram_merge_styles_responsive( $list ) {
		if ( corredo_exists_instagram_feed() ) {
			$list[] = 'plugins/instagram-feed/_instagram-responsive.scss';
		}
		return $list;
	}
}

