<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'corredo_mailchimp_get_css' ) ) {
	add_filter( 'corredo_filter_get_css', 'corredo_mailchimp_get_css', 10, 2 );
	function corredo_mailchimp_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS
form.mc4wp-form .mc4wp-form-fields input[type="email"] {
	{$fonts['input_font-family']}
	{$fonts['input_font-size']}
	{$fonts['input_font-weight']}
	{$fonts['input_font-style']}
	{$fonts['input_line-height']}
	{$fonts['input_text-decoration']}
	{$fonts['input_text-transform']}
	{$fonts['input_letter-spacing']}
}
form.mc4wp-form .mc4wp-form-fields input[type="submit"] {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars = $args['vars'];

			$css['vars'] .= <<<CSS

form.mc4wp-form .mc4wp-form-fields input[type="email"],
form.mc4wp-form .mc4wp-form-fields input[type="submit"] {
	-webkit-border-radius: {$vars['rad']};
	    -ms-border-radius: {$vars['rad']};
			border-radius: {$vars['rad']};
}

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS

form.mc4wp-form .mc4wp-alert {
	background-color: {$colors['text_hover']};
	border-color: {$colors['text_hover']};
	color: {$colors['inverse_hover']};
}

form.mc4wp-form .mc4wp-form-fields label {
    color: {$colors['text_hover']};
}
form.mc4wp-form .mc4wp-form-fields input[type="checkbox"] + label:before {
    border-color: {$colors['text_dark']} !important;
    background-color: {$colors['text_dark']};
}
form.mc4wp-form label:has(> input[type=checkbox])::before,
form.mc4wp-form .mc4wp-form-fields input[type="checkbox"]:checked + label:before {
    color: {$colors['text_link']};
}
form.mc4wp-form .mc4wp-form-fields input[type="submit"] {
    color: {$colors['inverse_link']};
    background-color: {$colors['text_hover3']};
}
form.mc4wp-form .mc4wp-form-fields input[type="submit"]:hover {
    color: {$colors['inverse_link']};
    background-color: {$colors['text_link3']};
}
form.mc4wp-form .mc4wp-alert a {
	color: {$colors['inverse_hover']} !important;	
}
form.mc4wp-form .mc4wp-alert a:hover {
	color: {$colors['inverse_hover']} !important;	
}
.widget_mc4wp_form_widget .widget_title {
    color: {$colors['text_hover']};	
}



CSS;
		}

		return $css;
	}
}

