<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'corredo_revslider_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'corredo_revslider_theme_setup9', 9 );
	function corredo_revslider_theme_setup9() {

		add_filter( 'corredo_filter_merge_styles', 'corredo_revslider_merge_styles' );

		if ( is_admin() ) {
			add_filter( 'corredo_filter_tgmpa_required_plugins', 'corredo_revslider_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'corredo_revslider_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('corredo_filter_tgmpa_required_plugins',	'corredo_revslider_tgmpa_required_plugins');
	function corredo_revslider_tgmpa_required_plugins( $list = array() ) {
		if ( corredo_storage_isset( 'required_plugins', 'revslider' ) && corredo_is_theme_activated() ) {
			$path = corredo_get_plugin_source_path( 'plugins/revslider/revslider.zip' );
			if ( ! empty( $path ) || corredo_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => corredo_storage_get_array( 'required_plugins', 'revslider' ),
					'slug'     => 'revslider',
					'source'   => ! empty( $path ) ? $path : 'upload://revslider.zip',
					'required' => false,
				);
			}
		}
		return $list;
	}
}

// Check if RevSlider installed and activated
if ( ! function_exists( 'corredo_exists_revslider' ) ) {
	function corredo_exists_revslider() {
		return function_exists( 'rev_slider_shortcode' );
	}
}

// Merge custom styles
if ( ! function_exists( 'corredo_revslider_merge_styles' ) ) {
	//Handler of the add_filter('corredo_filter_merge_styles', 'corredo_revslider_merge_styles');
	function corredo_revslider_merge_styles( $list ) {
		if ( corredo_exists_revslider() ) {
			$list[] = 'plugins/revslider/_revslider.scss';
		}
		return $list;
	}
}

