<?php
/* ThemeREX Updater support functions
------------------------------------------------------------------------------- */


// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'corredo_trx_socials_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'corredo_trx_socials_theme_setup9', 9 );
	function corredo_trx_socials_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'corredo_filter_tgmpa_required_plugins', 'corredo_trx_socials_tgmpa_required_plugins', 8 );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'corredo_trx_socials_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('corredo_filter_tgmpa_required_plugins',	'corredo_trx_socials_tgmpa_required_plugins');
	function corredo_trx_socials_tgmpa_required_plugins( $list = array() ) {
		if ( corredo_storage_isset( 'required_plugins', 'trx_socials' ) && corredo_is_theme_activated() ) {
			$path = corredo_get_plugin_source_path( 'plugins/trx_socials/trx_socials.zip' );
			if ( ! empty( $path ) || corredo_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => corredo_storage_get_array( 'required_plugins', 'trx_socials' ),
					'slug'     => 'trx_socials',
					'source'   => ! empty( $path ) ? $path : 'upload://trx_socials.zip',
					'required' => false,
				);
			}
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( ! function_exists( 'corredo_exists_trx_socials' ) ) {
	function corredo_exists_trx_socials() {
		return defined('TRX_SOCIALS_STORAGE');
	}
}
