<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0
 */

if ( corredo_sidebar_present() ) {
	ob_start();
	$corredo_sidebar_name = corredo_get_theme_option( 'sidebar_widgets' );
	corredo_storage_set( 'current_sidebar', 'sidebar' );
	if ( is_active_sidebar( $corredo_sidebar_name ) ) {
		dynamic_sidebar( $corredo_sidebar_name );
	}
	$corredo_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $corredo_out ) ) {
		$corredo_sidebar_position = corredo_get_theme_option( 'sidebar_position' );
		?>
		<div class="sidebar widget_area
			<?php
			echo esc_attr( $corredo_sidebar_position );
			if ( ! corredo_is_inherit( corredo_get_theme_option( 'sidebar_scheme' ) ) ) {
				echo ' scheme_' . esc_attr( corredo_get_theme_option( 'sidebar_scheme' ) );
			}
			?>
		" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'corredo_action_before_sidebar' );
				corredo_show_layout( preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $corredo_out ) );
				do_action( 'corredo_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<div class="clearfix"></div>
		<?php
	}
}
