<?php
/**
 * The template to display single post
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0
 */

get_header();

while ( have_posts() ) {
	the_post();

	get_template_part( apply_filters( 'corredo_filter_get_template_part', 'content', get_post_format() ), get_post_format() );

	// Previous/next post navigation.
	?>
	<div class="nav-links-single">
		<?php
		the_post_navigation(
			array(
				'next_text' => '<span class="nav-arrow"></span>'
					. '<span class="screen-reader-text">' . esc_html__( 'Next post', 'corredo' ) . '</span> '
					. '<h6 class="post-title">%title</h6>'
					. '<span class="post_date">%date</span>',
				'prev_text' => '<span class="nav-arrow"></span>'
					. '<span class="screen-reader-text">' . esc_html__( 'Previous post', 'corredo' ) . '</span> '
					. '<h6 class="post-title">%title</h6>'
					. '<span class="post_date">%date</span>',
			)
		);
		?>
	</div>
	<?php

    // Author bio
    if ( corredo_get_theme_option( 'show_author_info' ) == 1 && is_single() && ! is_attachment() && get_the_author_meta( 'description' ) ) {
        do_action( 'corredo_action_before_post_author' );
        get_template_part( apply_filters( 'corredo_filter_get_template_part', 'templates/author-bio' ) );
        do_action( 'corredo_action_after_post_author' );
    }

    // Create Widgets Area
    corredo_create_widgets_area( 'widgets_additional_single_content' );

	// Related posts
	if ( corredo_get_theme_option( 'related_position' ) == 'below_content' ) {
		do_action( 'corredo_action_related_posts' );
	}

	// If comments are open or we have at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) {
		comments_template();
	}
}

get_footer();
