<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0.1
 */

$corredo_theme_obj = wp_get_theme();
?>
<div class="corredo_admin_notice corredo_welcome_notice update-nag">
	<?php
	// Theme image
	$corredo_theme_img = corredo_get_file_url( 'screenshot.jpg' );
	if ( '' != $corredo_theme_img ) {
		?>
		<div class="corredo_notice_image"><img src="<?php echo esc_url( $corredo_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'corredo' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="corredo_notice_title">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
                esc_html__( 'Welcome to %1$s v.%2$s', 'corredo' ),
				$corredo_theme_obj->name . ( CORREDO_THEME_FREE ? ' ' . esc_html__( 'Free', 'corredo' ) : '' ),
				$corredo_theme_obj->version
			)
		);
		?>
	</h3>
	<?php

	// Description
	?>
	<div class="corredo_notice_text">
		<p class="corredo_notice_text_description">
			<?php
			echo str_replace( '. ', '.<br>', wp_kses_data( $corredo_theme_obj->description ) );
			?>
		</p>
		<p class="corredo_notice_text_info">
			<?php
			echo wp_kses_data( __( 'Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'corredo' ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="corredo_notice_buttons">
		<?php
		// Link to the page 'About Theme'
		?>
		<a href="<?php echo esc_url( admin_url() . 'themes.php?page=corredo_about' ); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> 
			<?php
			echo esc_html__( 'Install plugin "ThemeREX Addons"', 'corredo' );
			?>
		</a>
		<?php		
		// Dismiss this notice
		?>
		<a href="#" class="corredo_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="corredo_hide_notice_text"><?php esc_html_e( 'Dismiss', 'corredo' ); ?></span></a>
	</div>
</div>
