<?php
/**
 * The template to display the Author bio
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0
 */
?>

<div class="author_info author scheme_default vcard" itemprop="author" itemscope itemtype="http://schema.org/Person">
    <div class="author_info_wrapper">
        <div class="author_avatar" itemprop="image">
            <?php
            $corredo_mult = corredo_get_retina_multiplier();
            echo get_avatar( get_the_author_meta( 'user_email' ), 240 * $corredo_mult );
            ?>
        </div><!-- .author_avatar -->

        <div class="author_description">

            <a class="author_link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
                <h5 class="author_title" itemprop="name"><?php echo get_the_author(); ?></h5>
            </a>

            <div class="author_bio" itemprop="description">
                <?php echo wp_kses( wpautop( get_the_author_meta( 'description' ) ), 'corredo_kses_content' ); ?>
                <?php do_action( 'corredo_action_user_meta' ); ?>
            </div><!-- .author_bio -->

        </div><!-- .author_description -->
    </div><!-- .author_info_wrapper -->
</div><!-- .author_info -->
