<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0.10
 */

$corredo_footer_id = corredo_get_custom_footer_id();
$corredo_footer_meta = get_post_meta( $corredo_footer_id, 'trx_addons_options', true );
if ( ! empty( $corredo_footer_meta['margin'] ) != '' ) {
	corredo_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( corredo_prepare_css_value( $corredo_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $corredo_footer_id ); ?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($corredo_footer_id))); ?>
						<?php
						if ( ! corredo_is_inherit( corredo_get_theme_option( 'footer_scheme' ) ) ) {
							echo ' scheme_' . esc_attr( corredo_get_theme_option( 'footer_scheme' ) );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'corredo_action_show_layout', $corredo_footer_id );
	?>
</footer><!-- /.footer_wrap -->
