<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0.10
 */

// Logo
if ( corredo_is_on( corredo_get_theme_option( 'logo_in_footer' ) ) ) {
    $corredo_logo_image = corredo_get_logo_image( 'footer' );
    $corredo_logo_text  = get_bloginfo( 'name' );
    if ( ! empty( $corredo_logo_image['logo'] ) || ! empty( $corredo_logo_text ) ) {
        ?>
        <div class="footer_logo_wrap">
            <div class="footer_logo_inner">
                <?php
                if ( ! empty( $corredo_logo_image['logo'] ) ) {
                    $corredo_attr = corredo_getimagesize( $corredo_logo_image['logo'] );
                    echo '<a href="' . esc_url( home_url( '/' ) ) . '">'
                        . '<img src="' . esc_url( $corredo_logo_image['logo'] ) . '"'
                        . ( ! empty( $corredo_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $corredo_logo_image['logo_retina'] ) . ' 2x"' : '' )
                        . ' class="logo_footer_image"'
                        . ' alt="' . esc_attr__( 'Site logo', 'corredo' ) . '"'
                        . ( ! empty( $corredo_attr[3] ) ? ' ' . wp_kses_data( $corredo_attr[3] ) : '' )
                        . '>'
                        . '</a>';
                } elseif ( ! empty( $corredo_logo_text ) ) {
                    echo '<h1 class="logo_footer_text">'
                        . '<a href="' . esc_url( home_url( '/' ) ) . '">'
                        . esc_html( $corredo_logo_text )
                        . '</a>'
                        . '</h1>';
                }
                ?>
            </div>
        </div>
        <?php
    }
}
