<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0.10
 */

// Footer sidebar
$corredo_footer_name    = corredo_get_theme_option( 'footer_widgets' );
$corredo_footer_present = ! corredo_is_off( $corredo_footer_name ) && is_active_sidebar( $corredo_footer_name );
if ( $corredo_footer_present ) {
	corredo_storage_set( 'current_sidebar', 'footer' );
	$corredo_footer_wide = corredo_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $corredo_footer_name ) ) {
		dynamic_sidebar( $corredo_footer_name );
	}
	$corredo_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $corredo_out ) ) {
		$corredo_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $corredo_out );
		$corredo_need_columns = true;
		if ( $corredo_need_columns ) {
			$corredo_columns = max( 0, (int) corredo_get_theme_option( 'footer_columns' ) );
			if ( 0 == $corredo_columns ) {
				$corredo_columns = min( 4, max( 1, substr_count( $corredo_out, '<aside ' ) ) );
			}
			if ( $corredo_columns > 1 ) {
				$corredo_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $corredo_columns ) . ' widget', $corredo_out );
			} else {
				$corredo_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $corredo_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $corredo_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $corredo_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'corredo_action_before_sidebar' );
				corredo_show_layout( $corredo_out );
				do_action( 'corredo_action_after_sidebar' );
				if ( $corredo_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $corredo_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
