<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0.06
 */

$corredo_header_css   = '';
$corredo_header_image = get_header_image();
$corredo_header_video = corredo_get_header_video();
if ( ! empty( $corredo_header_image ) && corredo_trx_addons_featured_image_override( is_singular() || corredo_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$corredo_header_image = corredo_get_current_mode_image( $corredo_header_image );
}

$corredo_header_id = corredo_get_custom_header_id();
$corredo_header_meta = get_post_meta( $corredo_header_id, 'trx_addons_options', true );
if ( ! empty( $corredo_header_meta['margin'] ) != '' ) {
	corredo_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( corredo_prepare_css_value( $corredo_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $corredo_header_id ); ?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($corredo_header_id))); ?>
				<?php
				echo ! empty( $corredo_header_image ) || ! empty( $corredo_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $corredo_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $corredo_header_image ) {
					echo ' ' . esc_attr( corredo_add_inline_css_class( 'background-image: url(' . esc_url( $corredo_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( corredo_is_on( corredo_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight corredo-full-height';
				}
				if ( ! corredo_is_inherit( corredo_get_theme_option( 'header_scheme' ) ) ) {
					echo ' scheme_' . esc_attr( corredo_get_theme_option( 'header_scheme' ) );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $corredo_header_video ) ) {
		get_template_part( apply_filters( 'corredo_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'corredo_action_show_layout', $corredo_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'corredo_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
