<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0
 */

$corredo_args = get_query_var( 'corredo_logo_args' );

// Site logo
$corredo_logo_type   = isset( $corredo_args['type'] ) ? $corredo_args['type'] : '';
$corredo_logo_image  = corredo_get_logo_image( $corredo_logo_type );
$corredo_logo_text   = corredo_is_on( corredo_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$corredo_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $corredo_logo_image['logo'] ) || ! empty( $corredo_logo_text ) ) {
    ?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
    <?php
    if ( ! empty( $corredo_logo_image['logo'] ) ) {
        if ( empty( $corredo_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric( $corredo_logo_image['logo'] ) && $corredo_logo_image['logo'] > 0 ) {
            the_custom_logo();
        } else {
            $corredo_attr = corredo_getimagesize( $corredo_logo_image['logo'] );
            echo '<img src="' . esc_url( $corredo_logo_image['logo'] ) . '"'
                . ( ! empty( $corredo_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $corredo_logo_image['logo_retina'] ) . ' 2x"' : '' )
                . ' alt="' . esc_attr( $corredo_logo_text ) . '"'
                . ( ! empty( $corredo_attr[3] ) ? ' ' . wp_kses_data( $corredo_attr[3] ) : '' )
                . '>';
        }
    } else {
        corredo_show_layout( corredo_prepare_macros( $corredo_logo_text ), '<span class="logo_text">', '</span>' );
        corredo_show_layout( corredo_prepare_macros( $corredo_logo_slogan ), '<span class="logo_slogan">', '</span>' );
    }
    ?>
    </a>
    <?php
}
