<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr( corredo_get_theme_option( 'menu_mobile_fullscreen' ) > 0 ? 'fullscreen' : 'narrow' ); echo esc_attr( strpos( corredo_get_theme_option('color_scheme'), 'alter_') !== false ) ? ( ' scheme_alter_dark' ) : ( ' scheme_dark' ); ?> ">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close icon-cancel"></a>
		<?php

		// Logo
		set_query_var( 'corredo_logo_args', array( 'type' => 'mobile' ) );
		get_template_part( apply_filters( 'corredo_filter_get_template_part', 'templates/header-logo' ) );
		set_query_var( 'corredo_logo_args', array() );

		// Mobile menu
		$corredo_menu_mobile = corredo_get_nav_menu( 'menu_mobile' );
		if ( empty( $corredo_menu_mobile ) ) {
			$corredo_menu_mobile = apply_filters( 'corredo_filter_get_mobile_menu', '' );
			if ( empty( $corredo_menu_mobile ) ) {
				$corredo_menu_mobile = corredo_get_nav_menu( 'menu_main' );
			}
			if ( empty( $corredo_menu_mobile ) ) {
				$corredo_menu_mobile = corredo_get_nav_menu();
			}
		}
		if ( ! empty( $corredo_menu_mobile ) ) {
			if ( ! empty( $corredo_menu_mobile ) ) {
				$corredo_menu_mobile = str_replace(
					array( 'menu_main', 'id="menu-', 'sc_layouts_menu_nav', 'sc_layouts_hide_on_mobile', 'hide_on_mobile' ),
					array( 'menu_mobile', 'id="menu_mobile-', '', '', '' ),
					$corredo_menu_mobile
				);
			}
			if ( strpos( $corredo_menu_mobile, '<nav ' ) === false ) {
				$corredo_menu_mobile = sprintf( '<nav class="menu_mobile_nav_area">%s</nav>', $corredo_menu_mobile );
			}
			corredo_show_layout( apply_filters( 'corredo_filter_menu_mobile_layout', $corredo_menu_mobile ) );
		}

		// Search field
		do_action( 'corredo_action_search', 'normal', 'search_mobile', false );

		// Social icons
		corredo_show_layout( corredo_get_socials_links(), '<div class="socials_mobile">', '</div>' );
		?>
	</div>
</div>
