<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0
 */

// Page (category, tag, archive, author) title

if ( corredo_need_page_title() ) {
	corredo_sc_layouts_showed( 'title', true );
	corredo_sc_layouts_showed( 'postmeta', false );
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( false && is_single() ) {
							?>
							<div class="sc_layouts_title_meta">
							<?php
								corredo_show_post_meta(
									apply_filters(
										'corredo_filter_post_meta_args', array(
											'components' => corredo_array_get_keys_by_value( corredo_get_theme_option( 'meta_parts' ) ),
											'counters'   => corredo_array_get_keys_by_value( corredo_get_theme_option( 'counters' ) ),
											'seo'        => corredo_is_on( corredo_get_theme_option( 'seo_snippets' ) ),
										), 'header', 1
									)
								);
							?>
							</div>
							<?php
						}

						// Blog/Post title
						?>
						<div class="sc_layouts_title_title">
							<?php
							$corredo_blog_title           = corredo_get_blog_title();
							$corredo_blog_title_text      = '';
							$corredo_blog_title_class     = '';
							$corredo_blog_title_link      = '';
							$corredo_blog_title_link_text = '';
							if ( is_array( $corredo_blog_title ) ) {
								$corredo_blog_title_text      = $corredo_blog_title['text'];
								$corredo_blog_title_class     = ! empty( $corredo_blog_title['class'] ) ? ' ' . $corredo_blog_title['class'] : '';
								$corredo_blog_title_link      = ! empty( $corredo_blog_title['link'] ) ? $corredo_blog_title['link'] : '';
								$corredo_blog_title_link_text = ! empty( $corredo_blog_title['link_text'] ) ? $corredo_blog_title['link_text'] : '';
							} else {
								$corredo_blog_title_text = $corredo_blog_title;
							}
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr( $corredo_blog_title_class ); ?>">
								<?php
								$corredo_top_icon = corredo_get_category_icon();
								if ( ! empty( $corredo_top_icon ) ) {
									$corredo_attr = corredo_getimagesize( $corredo_top_icon );
									?>
									<img src="<?php echo esc_url( $corredo_top_icon ); ?>" alt="<?php esc_attr_e( 'Site icon', 'corredo' ); ?>"
										<?php
										if ( ! empty( $corredo_attr[3] ) ) {
											corredo_show_layout( $corredo_attr[3] );
										}
										?>
									>
									<?php
								}
								echo wp_kses( $corredo_blog_title_text, 'corredo_kses_content' );
								?>
							</h1>
							<?php
							if ( ! empty( $corredo_blog_title_link ) && ! empty( $corredo_blog_title_link_text ) ) {
								?>
								<a href="<?php echo esc_url( $corredo_blog_title_link ); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html( $corredo_blog_title_link_text ); ?></a>
								<?php
							}

							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) {
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
							}

							?>
						</div>
						<?php
                        // Breadcrumbs
                        if (corredo_exists_trx_addons()) {
                            ?><div class="sc_layouts_title_breadcrumbs"><?php
                                  do_action( 'corredo_action_breadcrumbs');
                            ?></div><?php
                        }?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>
