<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0.14
 */
$corredo_header_video = corredo_get_header_video();
$corredo_embed_video  = '';
if ( ! empty( $corredo_header_video ) && ! corredo_is_from_uploads( $corredo_header_video ) ) {
	if ( corredo_is_youtube_url( $corredo_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $corredo_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		global $wp_embed;
		if ( false && is_object( $wp_embed ) ) {
			$corredo_embed_video = do_shortcode( $wp_embed->run_shortcode( '[embed]' . trim( $corredo_header_video ) . '[/embed]' ) );
			$corredo_embed_video = corredo_make_video_autoplay( $corredo_embed_video );
		} else {
			$corredo_header_video = str_replace( '/watch?v=', '/embed/', $corredo_header_video );
			$corredo_header_video = corredo_add_to_url(
				$corredo_header_video, array(
					'feature'        => 'oembed',
					'controls'       => 0,
					'autoplay'       => 1,
					'showinfo'       => 0,
					'modestbranding' => 1,
					'wmode'          => 'transparent',
					'enablejsapi'    => 1,
					'origin'         => home_url(),
					'widgetid'       => 1,
				)
			);
			$corredo_embed_video  = '<iframe src="' . esc_url( $corredo_header_video ) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?>
		<div id="background_video"><?php corredo_show_layout( $corredo_embed_video ); ?></div>
		<?php
	}
}
