<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage CORREDO
 * @since CORREDO 1.0
 */

// Header sidebar
$corredo_header_name    = corredo_get_theme_option( 'header_widgets' );
$corredo_header_present = ! corredo_is_off( $corredo_header_name ) && is_active_sidebar( $corredo_header_name );
if ( $corredo_header_present ) {
	corredo_storage_set( 'current_sidebar', 'header' );
	$corredo_header_wide = corredo_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $corredo_header_name ) ) {
		dynamic_sidebar( $corredo_header_name );
	}
	$corredo_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $corredo_widgets_output ) ) {
		$corredo_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $corredo_widgets_output );
		$corredo_need_columns   = strpos( $corredo_widgets_output, 'columns_wrap' ) === false;
		if ( $corredo_need_columns ) {
			$corredo_columns = max( 0, (int) corredo_get_theme_option( 'header_columns' ) );
			if ( 0 == $corredo_columns ) {
				$corredo_columns = min( 6, max( 1, substr_count( $corredo_widgets_output, '<aside ' ) ) );
			}
			if ( $corredo_columns > 1 ) {
				$corredo_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $corredo_columns ) . ' widget', $corredo_widgets_output );
			} else {
				$corredo_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $corredo_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $corredo_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $corredo_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'corredo_action_before_sidebar' );
				corredo_show_layout( $corredo_widgets_output );
				do_action( 'corredo_action_after_sidebar' );
				if ( $corredo_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $corredo_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
